#ifndef EXTERNS_H
#define EXTERNS_H

extern void fatal(const char *errormsg, ...);
extern void ssh_gotdata(unsigned char *data);
extern int check_emulation(int her_major_version,
			    int her_minor_version,
			    int *return_major,
			    int *return_minor);
extern void s_wrpkt(void);
extern void s_wrpkt_start(int type, int len);
extern int packet_read_block(void);
extern int packet_read(void);
extern void packet_read_expect(int type);
extern int parse(unsigned char *ptr, int len);
extern void keymap(void);

extern int makekey(unsigned char *data, R_RSAKey *result,
	    unsigned char **keystr);
extern void rsaencrypt(unsigned char *data, int length, R_RSAKey *key);

extern unsigned long crc32(const void *ss, size_t len);

#endif
